Subject: [tcpm] Opsdir last call review of draft-ietf-tcpm-yang-tcp-06

From: Gyan Mishra via Datatracker <[email-masked]>
Date: Thu, 03 Mar 2022 12:29:15 -0800

Reviewer: Gyan Mishra
Review result: Not Ready

The TCP FSM is of course the most critical component of the transport.

It would be good to list all that is not included in the Yang model that exists
in the TCP MIB.  Also would be helpful as to reasons why.

I see mentioned that RTO is not part of the Yang model, however to be complete
I think it should be included.

The yang model seems to not have  all the TCP FSM states listed below:
Closed
Listen
SYN RCVD
SYN Sent
Established
FIN wait 1
FIN wait 2
Closing
Time wait
Close wait
Last Ack

Also the Yang model does not reference the TCP Flag bits set during state
changes in the FSM below as well as flag combinations for example for
establishment state you sent SYN, receive SYN/ACK, ACK

URG
ACK
PUSH
RESET
SYN
FIN

I also don’t see anything in the Yang model on TCP window and window scaling
and CWIN congestion control algorithm backoff.

Also I don’t see any mention in the Yang model about the well known port range
0-1023 and > 1023 anonymous port range for the TCP socket to be established.

Also mention about the TCP TCB control block.

Local IP Local Port
Remote IP Remote Port
Interface
Process
State
Local/Send window
Remote/Receive window
Send SQ Ack
Send SQ Un-ack
Send SQ Next
Not to be sent
Receive Next
RTT
Buffer pointer